<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hc.business.mapper.ZccmCourseChapterMapper">

    <resultMap type="zccmcourseChapter" id="CourseChapterMap">
        <result property="courseChapterId" column="course_chapter_id" jdbcType="INTEGER"/>
        <result property="chapterName" column="chapter_name" jdbcType="VARCHAR"/>
        <result property="parentId" column="parent_id" jdbcType="INTEGER"/>
        <result property="chapterLevel" column="chapter_level" jdbcType="INTEGER"/>
        <result property="courseId" column="course_id" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        course_chapter_id,
           chapter_name,
           parent_id,
           chapter_level,
           course_id
    </sql>
    <!--//存储过程-->
    <select id="getCourseChapterChildList"  parameterType="java.util.Map" statementType="CALLABLE" resultMap="CourseChapterMap">
        {
        call getCourseChapterChildListZC(#{courseId,jdbcType=INTEGER,mode=IN})
        }
    </select>

</mapper>